/// class PD.Web.UI.Controls.ContextMenuCache

PD.Web.UI.Controls.ContextMenuCache =
Class.extend({

    //===================================
    // PUBLIC METHODS
    //===================================

    clear: function () {
    
        var key = null;

        for (key in this) {
            delete this[key];
        }

    },

    set: function (id, value) {
        this[id] = value
    },

    get: function (id, defaultValue) {

        var result = this[id];

        if (result === undefined) {
            result = defaultValue;
        }

        return result;

    }

});